--- /tmp/res_config_ldap/res/res_config_ldap.c  2007-02-01 16:39:49.000000000 +0100
+++ res/res_config_ldap.c       2007-02-02 10:03:47.000000000 +0100
@@ -437,8 +437,8 @@
                                }
                                v++;
                        }
-//                     ldap_value_free(values);
-                       ber_bvecfree(values);
+                       ldap_value_free_len(values);
+                       //invalid free ber_bvecfree(values);
                }
                ldap_attribute_name = ldap_next_attribute(ldapConn, ldap_entry, ber);
        }
@@ -620,8 +620,8 @@
                                                }
                                                v++;
                                        }/*!<while(*v)*/
-                                       //ldap_value_free(values);
-                                       ber_bvecfree(values);
+                                       ldap_value_free_len(values);
+                                       //ber_bvecfree(values);
                                }/*!<if (values)*/
                                ldap_attribute_name = ldap_next_attribute(ldapConn, ldap_entry, ber);
                        } /*!< while (ldap_attribute_name) */
@@ -1119,7 +1119,10 @@
                        p++;
                }
                free(vars);
+       } else {
+               ast_log (LOG_WARNING, "Ldap RealTime: Could not find any entry for %s.\n", table_name);
        }
+
        return var;
 }
 
@@ -1541,7 +1544,7 @@
        .update_func = update_ldap
 };
 
-static int load_module(void *mod) {
+static int load_module(void) {
 
        if (parse_config() < 0) {
                ast_log(LOG_NOTICE, "Cannot load LDAP RealTime driver.\n");
@@ -1563,7 +1569,7 @@
        return 0;
 }
 
-static int unload_module(void *mod)
+static int unload_module(void)
 {
        /* Aquire control before doing anything to the module itself. */
        ast_mutex_lock(&ldap_lock);
@@ -1587,7 +1593,7 @@
        return 0;
 }
 
-static int reload(void *mod)
+static int reload(void)
 {
        /* Aquire control before doing anything to the module itself. */
        ast_mutex_lock(&ldap_lock);
@@ -1809,7 +1815,6 @@
 
 AST_MODULE_INFO(ASTERISK_GPL_KEY, AST_MODFLAG_GLOBAL_SYMBOLS, "LDAP realtime interface",
                 .load = load_module,
-                               .unload = unload_module,
-                               .reload = reload,
-                               .description = description,
-                          );
+               .unload = unload_module,
+               .reload = reload,
+          );
